#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Authen
%define		pnam	SASL
Summary:	Authen::SASL Perl module - SASL authentication framework
Summary(pl.UTF-8):	Moduł Perla Authen::SASL - szkielet autentykacji SASL
Name:		perl-Authen-SASL
Version:	2.1600
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Authen/%{pdir}-%{pnam}-2.16.tar.gz
# Source0-md5:	7c03a689d4c689e5a9e2f18a1c586b2f
URL:		http://search.cpan.org/dist/Authen-SASL/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Digest-HMAC
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-GSSAPI
BuildRequires:	perl-Test-Simple
%endif
# earlier perl-ldap contain own Authen::SASL
Conflicts:	perl-ldap < 0.26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SASL is a generic mechanism for authentication used by several network
protocols. Authen::SASL provides an implementation framework that all
protocols should be able to share.

%description -l pl.UTF-8
SASL jest ogólnym mechanizmem autentykacji wykorzystywanym przez
niektóre protokoły sieciowe. Authen::SASL udostępnia szkielet
implementacji, który powinien dawać możliwość współdzielenia go przez
wszystkie protokoły.

%prep
%setup -q -n %{pdir}-%{pnam}-2.16

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Authen/SASL.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes api.txt
%{perl_vendorlib}/Authen/SASL.pm
%{perl_vendorlib}/Authen/SASL
%{_mandir}/man3/Authen::SASL*.3pm*
%changelog
* Wed Jun 26 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Authen-SASL.git;a=log;h=master

* Wed Jun 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 8bf55e0
- updated to 2.16 (as 2.1600 to avoid epoch bump)

* Mon Jul 11 2011 marti <marti@pld-linux.org> d5c140d
- up to 2.1401

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 2dd7ea6
- updated to 2.13

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> dd3cafc
- updated to 2.12

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 76844d1
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5ae9b21
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f838462
- converted to UTF-8

* Tue Jul 25 2006 Elan Ruusamäe <glen@pld-linux.org> 446e66a
- 2.10, generic URL

* Wed Jun 22 2005 Paweł Cyranek <pawel.cyranek@gmail.com> d9938c2
- new version; should work; STBR

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 9583560
- formatting

* Wed Nov 03 2004 Jakub Bogusz <qboosh@pld-linux.org> fcb75a9
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

* Sat Jun 05 2004 radek <radek@pld-linux.org> 4d1e106
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Thu May 27 2004 Adam Gołębiowski <adamg@pld-linux.org> 13f006f
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

* Fri May 07 2004 ankry <ankry@pld-linux.org> 774e7ac
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 8511b70
- adapterized

* Fri Apr 16 2004 ankry <ankry@pld-linux.org> 21eb6bc
- license fixes and unification

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> ff42492
- autoupdated to 0.12

* Sat Apr 10 2004 Adam Gołębiowski <adamg@pld-linux.org> 4795527
- outdated

* Sat Apr 10 2004 Adam Gołębiowski <adamg@pld-linux.org> ef52757
- updated to 2.07

* Sat Nov 08 2003 migo <migo@pld-linux.org> d02bdb9
- release 2
- rebuild with perl 5.6.1

